Bug 541154 - Review Request: xfce4-volumed - Daemon to add additional functionality to the volume keys of the keyboard
Review Request: xfce4-volumed - Daemon to add additional functionality to the...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-24 23:07 EST by Christoph Wickert
Modified: 2014-09-21 17:52 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.1.8-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-06 13:35:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2009-11-24 23:07:37 EST
Spec URL: http://cwickert.fedorapeople.org/review/xfce4-volumed.spec
SRPM URL: http://cwickert.fedorapeople.org/review/xfce4-volumed-0.1.8-1.fc13.src.rpm
Description: The xfce4-volumed adds additional functionality to the volume up/down and mute keys of the keyboard. It makes the keys work without configuration and uses the XFCE 4 mixer's defined card and track for choosing which track to act on. The volume level is shown in a notification.
Comment 1 Kevin Fenzi 2009-11-28 00:25:41 EST
I'd be happy to review this. Look for a full review in a bit.
Comment 2 Kevin Fenzi 2009-11-28 00:57:48 EST
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License (GPLv3+)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
9f95a7e002c3c165733e19b70de22c6b  xfce4-volumed-0.1.8.tar.bz2
9f95a7e002c3c165733e19b70de22c6b  xfce4-volumed-0.1.8.tar.bz2.orig
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
OK - Package has a correct %clean section. 
OK - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package is a GUI app and has a .desktop file

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
See below - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should function as described. 
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. rpmlint says: 

xfce4-volumed.i586: W: spelling-error-in-description en_US xfce
xfce4-volumed.src: W: spelling-error-in-description en_US xfce
xfce4-volumed-debuginfo.i586: W: spelling-error-in-summary en_US xfce
xfce4-volumed-debuginfo.i586: W: spelling-error-in-description en_US xfce

Doublecheck the spelling in summary and description. 

xfce4-volumed.i586: W: conffile-without-noreplace-flag /etc/xdg/autostart/xfce4-volumed.desktop

Can be ignored I think. 

I don't see any blockers, just run the summary and description through a 
spell checker before you import. ;) 

This package is APPROVED.
Comment 3 Christoph Wickert 2009-11-28 04:38:17 EST
Thanks for the review.

(In reply to comment #2)

> Doublecheck the spelling in summary and description.

The spelling is correct. This comes from "xfce-volumed", but this is the name of the package. The summary of the debuginfo package is created automatically, there is nothing I could change.

New Package CVS Request
=======================
Package Name: xfce-volumed
Short Description: Daemon to add additional functionality to the volume keys of the keyboard
Owners: cwickert
Branches: F-11 F-12
InitialCC:
Comment 4 Jason Tibbitts 2009-12-01 14:09:34 EST
CVS done; I corrected the summary of this ticket to match the requested package name.
Comment 5 Christoph Wickert 2009-12-01 14:25:55 EST
(In reply to comment #4)
> CVS done; I corrected the summary of this ticket to match the requested package
> name.  

Sorry, that was a typo in the cvs request. As you can see both the source and the package name is xfce4-volumed.

New Package CVS Request
=======================
Package Name: xfce4-volumed
Short Description: Daemon to add additional functionality to the volume keys of
the keyboard
Owners: cwickert
Branches: F-11 F-12
InitialCC:
Comment 6 Kevin Fenzi 2009-12-03 01:35:38 EST
Should be all corrected.
Comment 7 Fedora Update System 2009-12-04 19:42:15 EST
xfce4-volumed-0.1.8-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/xfce4-volumed-0.1.8-1.fc12
Comment 8 Fedora Update System 2009-12-04 19:42:24 EST
xfce4-volumed-0.1.8-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xfce4-volumed-0.1.8-1.fc11
Comment 9 Kevin Fenzi 2009-12-06 13:35:07 EST
Pushed out and done. Closing.
Comment 10 Fedora Update System 2009-12-11 13:29:09 EST
xfce4-volumed-0.1.8-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-12-11 13:34:08 EST
xfce4-volumed-0.1.8-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Orion Poplawski 2011-05-27 12:53:03 EDT
Package Change Request
======================
Package Name: xfce4-volumed
New Branches: el6
Owners: cwickert
InitialCC:
Comment 13 Jason Tibbitts 2011-05-28 11:07:23 EDT
Git done (by process-git-requests).
Comment 14 Mukundan Ragavan 2014-09-21 17:41:09 EDT
Package Change Request
======================
Package Name: xfce4-volumed
New Branches: epel7
Owners: cwickert
InitialCC: nonamedotc
Comment 15 Jon Ciesla 2014-09-21 17:52:30 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.